[project]
name = "neuro"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
authors = [
    { name = "neoricalex", email = "neo.webmaster.2@gmail.com" }
]
requires-python = ">=3.12"
dependencies = []

[project.scripts]
neuro = "neuro:main"

[build-system]
requires = ["uv_build>=0.10.8,<0.11.0"]
build-backend = "uv_build"

[dependency-groups]
dev = [
    "pyright>=1.1.408",
    "pytest>=9.0.2",
    "pytest-cov>=7.0.0",
]
